QB_LIST_LENGTH(3)

NAME
qb_list_length - Count the number of items in the list.

SYNOPSIS
#include <qb/qblist.h>

static int32_t qb_list_length(
    struct qb_list_head   *head   /* the head for your list. */
);

PARAMS
head the head for your list.

DESCRIPTION

STRUCTURES

struct qb_list_head {

    struct   next;

    struct   prev;
};

RETURN VALUE

length of the list.

SEE ALSO

qb_list_empty(3), qb_list_add_tail(3), qb_list_add(3), qb_list_splice_tail(3), qb_list_replace(3), qb_list_init(3), qb_list_splice(3), qb_list_is_last(3), qb_list_del(3)

COPYRIGHT

Copyright (C) 2010-2020 Red Hat, Inc.